#
#   base.make
#
#   Makefile flags and configs to build with the base library.
#
#   Copyright (C) 2001 Free Software Foundation, Inc.
#
#   Author:  Nicola Pero <n.pero@mi.flashnet.it>
#   Based on code originally in the gnustep make package
#
#   This file is part of the GNUstep Base Library.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

ifeq ($(BASE_MAKE_LOADED),)
BASE_MAKE_LOADED=yes

ifeq ($(FOUNDATION_LIB),gnu)
#
# FIXME - macro names
#
  AUXILIARY_OBJCFLAGS += -fconstant-string-class=NSConstantString
  ifeq ($(shared),no)
    CONFIG_SYSTEM_LIBS += -ldl   -lz -lcallback -lavcall  -lxml2 -lz -lpthread -lm -lgmp
  endif

  GNUSTEP_BASE_VERSION = 1.9.0
  GNUSTEP_BASE_MAJOR_VERSION = 1
  GNUSTEP_BASE_MINOR_VERSION = 9
  GNUSTEP_BASE_SUBMINOR_VERSION = 0

  GNUSTEP_BASE_HAVE_LIBXML=1

  FND_LDFLAGS =
  FND_LIBS = -lgnustep-base
  FND_DEFINE = -DGNUSTEP_BASE_LIBRARY=1
  GNUSTEP_DEFINE = -DGNUSTEP
  # If gc=yes was passed, use the appropriate library and defines
  ifeq ($(gc), yes)
    AUXILIARY_CPPFLAGS += -DGS_WITH_GC=1
    AUXILIARY_INCLUDE_DIRS += -I/usr/include/gc
  endif
endif

endif # BASE_MAKE_LOADED
